Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.hp.hpl.jena.sdb.store
Class SQLBridgeBase

    java.lang.Object
      com.hp.hpl.jena.sdb.store.SQLBridgeBase

All Implemented Interfaces:
  SQLBridge

Direct Known Subclasses:
  SQLBridge1, SQLBridge2

    public abstract class SQLBridgeBase

extends Object
implements SQLBridge

Convert from whatever results a particular layout returns into an ARQ QueryIterator of Bindings. An SQLBridge object is allocated for each query execution.

Author:
  Andy Seaborne

Method Summary
`com.hp.hpl.jena.sparql.engine.QueryIterator` | `assembleResults(ResultSetJDBC rs, com.hp.hpl.jena.sparql.engine.binding.Binding binding, com.hp.hpl.jena.sparql.engine.ExecutionContext execCxt)` Process a JDBC result set
`void` | `build()` Actually build the bridge
`SqlNode` | `getSqlNode()` Get the (possibly altered) SqlNode

Methods inherited from class java.lang.Object
`equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Method Detail

### build

    public final void build()

  Description copied from interface: `SQLBridge`
  Actually build the bridge

  Specified by:
    `build` in interface `SQLBridge`

### assembleResults

    public final com.hp.hpl.jena.sparql.engine.QueryIterator assembleResults(ResultSetJDBC rs,
                                                                             com.hp.hpl.jena.sparql.engine.binding.Binding binding,
                                                                             com.hp.hpl.jena.sparql.engine.ExecutionContext execCxt)

  Description copied from interface: `SQLBridge`
  Process a JDBC result set

  Specified by:
    `assembleResults` in interface `SQLBridge`

### getSqlNode

    public SqlNode getSqlNode()

  Description copied from interface: `SQLBridge`
  Get the (possibly altered) SqlNode

  Specified by:
    `getSqlNode` in interface `SQLBridge`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright ? 2006, 2007, 2008, 2009 Hewlett-Packard Development Company, LP Copyright ? 2010 Epimorphics Ltd.